Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5116)
@@ -13,5 +13,5 @@
 
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert,iflag_ratqs
+      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
 
       IMPLICIT NONE
@@ -117,6 +117,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
-
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -161,5 +160,5 @@
 !      sigma1s=(1.1**0.5)*(fraca(ind1,ind2)**0.6)/(1-fraca(ind1,ind2))*((sth-senv)**2)**0.5+ratqs(ind1,ind2)*po(ind1)
 !      sigma2s=0.11*((sth-senv)**2)**0.5/(fraca(ind1,ind2)+0.02)**0.4+0.002*zqta(ind1,ind2) 
-!       if (paprs(ind1,ind2).gt.90000) then
+!       if (paprs(ind1,ind2).gt.90000) THEN
 !       ratqs(ind1,ind2)=0.002
 !       else 
@@ -186,5 +185,5 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      if (ctot(ind1,ind2)<1.e-10) then
+      if (ctot(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -227,5 +226,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -246,5 +245,5 @@
       enddo
      
-      return
+      RETURN
 !     end
 END SUBROUTINE cloudth
@@ -265,5 +264,5 @@
 
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert, vert_alpha
+      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert, vert_alpha
 
       IMPLICIT NONE
@@ -347,6 +346,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
-
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -391,5 +389,5 @@
       sigma1s=(0.92**0.5)*(fraca(ind1,ind2)**0.5)/(1-fraca(ind1,ind2))*((sth-senv)**2)**0.5+ratqs(ind1,ind2)*po(ind1)
       sigma2s=0.09*((sth-senv)**2)**0.5/(fraca(ind1,ind2)+0.02)**0.5+0.002*zqta(ind1,ind2) 
-!       if (paprs(ind1,ind2).gt.90000) then
+!       if (paprs(ind1,ind2).gt.90000) THEN
 !       ratqs(ind1,ind2)=0.002
 !       else 
@@ -510,5 +508,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) then
+      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -554,5 +552,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -573,5 +571,5 @@
       enddo
      
-      return
+      RETURN
 !     end
 END SUBROUTINE cloudth_vert
@@ -586,5 +584,5 @@
              cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert
+      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
 
       IMPLICIT NONE
@@ -694,6 +692,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
-
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
 
@@ -759,5 +756,5 @@
       qltot(ind1,ind2)=fraca(ind1,ind2)*qlth(ind1,ind2)+(1.-1.*fraca(ind1,ind2))*qlenv(ind1,ind2)
 
-      if (ctot(ind1,ind2)<1.e-10) then
+      if (ctot(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -790,5 +787,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt2*cenv(ind1,ind2))
 
-      if (ctot(ind1,ind2)<1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -800,5 +797,5 @@
       endif       ! From the separation (thermal/envrionnement) et (environnement) only, l.110 et l.183
       enddo       ! from the loop on ngrid l.108
-      return
+      RETURN
 !     end
 END SUBROUTINE cloudth_v3
@@ -978,5 +975,5 @@
       ENDIF
       sigma1s = sigma1s_fraca + sigma1s_ratqs
-      IF (iflag_ratqs==11) then
+      IF (iflag_ratqs==11) THEN
          sigma1s = ratqs(ind1,ind2)*po(ind1)*aenv
       ENDIF
@@ -987,5 +984,5 @@
 !      sigma2s=0.09*((sth-senv)**2)**0.5/(fraca(ind1,ind2)+0.02)**0.5+0.002*zqta(ind1,ind2) 
 !      sigma2s=(0.09*(((sth-senv)**2)**0.5)/((fraca(ind1,ind2)+0.02)**0.5))+ratqs(ind1,ind2)*zqta(ind1,ind2)
-!       if (paprs(ind1,ind2).gt.90000) then
+!       if (paprs(ind1,ind2).gt.90000) THEN
 !       ratqs(ind1,ind2)=0.002
 !       else 
@@ -1073,5 +1070,5 @@
       IntJ=0.5*senv*(1-erf(xenv2))+(sigma1s/sqrt2pi)*exp_xenv2
       IntJ_CF=0.5*(1.-1.*erf(xenv2))
-      if (deltasenv < 1.e-10) then
+      if (deltasenv < 1.e-10) THEN
       qlenv(ind1,ind2)=IntJ
       cenv_vol(ind1,ind2)=IntJ_CF
@@ -1089,5 +1086,5 @@
       IntJ=0.5*sth*(1-erf(xth2))+(sigma2s/sqrt2pi)*exp_xth2
       IntJ_CF=0.5*(1.-1.*erf(xth2))
-      if (deltasth < 1.e-10) then
+      if (deltasth < 1.e-10) THEN
       qlth(ind1,ind2)=IntJ
       cth_vol(ind1,ind2)=IntJ_CF
@@ -1157,6 +1154,6 @@
       ENDIF ! of if (iflag_cloudth_vert==1 or 3 or 4)
 
-!      if (ctot(ind1,ind2).lt.1.e-10) then
-      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) then
+!      if (ctot(ind1,ind2).lt.1.e-10) THEN
+      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) THEN
       ctot(ind1,ind2)=0.
       ctot_vol(ind1,ind2)=0.
@@ -1201,5 +1198,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2)<1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) THEN
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -1223,5 +1220,5 @@
 
       enddo       ! from the loop on ngrid l.333
-      return
+      RETURN
 !     end
 END SUBROUTINE cloudth_vert_v3
@@ -1233,5 +1230,5 @@
              cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert
+      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert
 
       IMPLICIT NONE
@@ -1398,5 +1395,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) < 1.e-10) then
+      if (ctot_surf(ind1,ind2) < 1.e-10) THEN
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1459,5 +1456,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) < 1.e-8) then
+      if (ctot_surf(ind1,ind2) < 1.e-8) THEN
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1497,6 +1494,6 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-      use lmdz_cloudth_ini, only: iflag_cloudth_vert,iflag_ratqs
-      use lmdz_cloudth_ini, only: C_mpc ,Ni,C_cap,Ei,d_top ,vert_alpha, vert_alpha_th ,sigma1s_factor,sigma1s_power,sigma2s_factor,sigma2s_power,cloudth_ratqsmin ,iflag_cloudth_vert_noratqs
+      use lmdz_cloudth_ini, ONLY: iflag_cloudth_vert,iflag_ratqs
+      use lmdz_cloudth_ini, ONLY: C_mpc ,Ni,C_cap,Ei,d_top ,vert_alpha, vert_alpha_th ,sigma1s_factor,sigma1s_power,sigma2s_factor,sigma2s_power,cloudth_ratqsmin ,iflag_cloudth_vert_noratqs
       use lmdz_lscp_tools,  only: CALC_QSAT_ECMWF
       use lmdz_lscp_ini,    only: RTT, RG, RPI, RD, RCPD, RLVTT, RLSTT, temp_nowater, min_frac_th_cld, min_neb_th
@@ -1689,5 +1686,5 @@
  
            sigma1s = sigma1s_fraca + sigma1s_ratqs
-           IF (iflag_ratqs==11) then
+           IF (iflag_ratqs==11) THEN
               sigma1s = ratqs(ind1)*qt(ind1)*aenv
            ENDIF
@@ -1978,5 +1975,5 @@
 !            ! Environment
 !            !=============
-!            ! In the environment/downdrafts, only liquid clouds
+!            ! In the environment/downdrafts, ONLY liquid clouds
 !            ! See Shupe et al. 2008, JAS
 
@@ -1995,8 +1992,8 @@
 
 !            sigma1s = sigma1s_fraca + sigma1s_ratqs
-!            IF (iflag_ratqs.eq.11) then
+!            IF (iflag_ratqs.eq.11) THEN
 !               sigma1s = ratqs(ind1,ind2)*po(ind1)*aenv
 !            ENDIF
-!            IF (iflag_ratqs.eq.11) then
+!            IF (iflag_ratqs.eq.11) THEN
 !              sigma1s = ratqs(ind1,ind2)*po(ind1)*aenvl
 !            ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5116)
@@ -134,5 +134,5 @@
     INTEGER, INTENT(IN) :: iflag_cld_th    ! flag that determines the distribution of convective clouds
     INTEGER, INTENT(IN) :: iflag_ice_thermo! flag to activate the ice thermodynamics
-    ! CR: if iflag_ice_thermo=2, only convection is active
+    ! CR: if iflag_ice_thermo=2, ONLY convection is active
     LOGICAL, INTENT(IN) :: ok_ice_sursat   ! flag to determine if ice sursaturation is activated
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_old.F90	(revision 5116)
@@ -213,5 +213,5 @@
   rneblsvol(1:klon,1:klev)=0.0
 
-  if (prt_level>9)write(lunout,*)'NUAGES4 A. JAM'
+  if (prt_level>9)WRITE(lunout,*)'NUAGES4 A. JAM'
   IF (appel1er) THEN
      WRITE(lunout,*) 'fisrtilp, ninter:', ninter
@@ -354,5 +354,5 @@
            zcpair=RCPD*(1.0+RVTMP2*zq(i))
            zcpeau=RCPD*RVTMP2
-         if (fl_cor_ebil > 0) then
+         if (fl_cor_ebil > 0) THEN
            ! zmqc: masse de precip qui doit etre thermalisee avec l'air de la couche atm 
            ! pour s'assurer que la precip arrivant au sol aura bien la temperature de la 
@@ -647,5 +647,5 @@
                    zrfl(i)=zrfl(i)+zmelt*zifl(i)
            ENDIF
-           if (fl_cor_ebil <= 0) then
+           if (fl_cor_ebil <= 0) THEN
              ! the following line should not be here. Indeed, if zifl is modified
              ! now, zifl(i)*zmelt is no more the amount of ice that has melt
@@ -722,6 +722,6 @@
 
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
-!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) then
-!         write(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
+!       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) THEN
+!         WRITE(*,*) " iflag_ice_thermo==1 requires iflag_fisrtilp_qsat==0", &
 !        " but iflag_fisrtilp_qsat=",iflag_fisrtilp_qsat, ". Might as well stop here."
 !         stop
@@ -756,6 +756,5 @@
         ! P2.A.0> Calcul des grandeurs nuageuses une pdf en creneau
         ! ----------------------------------------------------------------
-        if (iflag_pdf==0) then
-
+        if (iflag_pdf==0) THEN
            ! version creneau de (Li, 1998)
            do i=1,klon
@@ -771,5 +770,5 @@
            ! ----------------------------------------------------------------
            do i=1,klon
-              if(zq(i)<1.e-15) then
+              IF(zq(i)<1.e-15) THEN
                  ncoreczq=ncoreczq+1
                  zq(i)=1.e-15
@@ -777,7 +776,6 @@
            enddo
 
-           if (iflag_cld_th>=5) then
-
-              if (iflag_cloudth_vert<=2) then
+           if (iflag_cld_th>=5) THEN
+              if (iflag_cloudth_vert<=2) THEN
                CALL cloudth(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -786,5 +784,5 @@
                    cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) then
+              elseif (iflag_cloudth_vert>=3 .and. iflag_cloudth_vert<=5) THEN
                CALL cloudth_v3(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -795,5 +793,5 @@
               !Version these Jean Jouhaud, Decembre 2018 
               !----------------------------------              
-              elseif (iflag_cloudth_vert==6) then
+              elseif (iflag_cloudth_vert==6) THEN
                CALL cloudth_v6(klon,klev,k,ztv, &
                    zq,zqta,fraca, &
@@ -811,7 +809,7 @@
            endif
 
-           if (iflag_cld_th <= 4) then
+           if (iflag_cld_th <= 4) THEN
               lognormale = .TRUE.
-           elseif (iflag_cld_th >= 6) then
+           elseif (iflag_cld_th >= 6) THEN
               ! lognormale en l'absence des thermiques
               lognormale = fraca(:,k) < 1e-10
@@ -846,5 +844,5 @@
 
 !Boucle iterative: ATTENTION, l'option -1 n'est plus activable ici
-           if (iflag_fisrtilp_qsat>=0) then
+           if (iflag_fisrtilp_qsat>=0) THEN
              ! Iteration pour condensation avec variation de qsat(T) 
              ! -----------------------------------------------------
@@ -856,5 +854,5 @@
                  ! ------------------------------
                  convergence(i)=abs(DT(i))>DDT0
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
                  ! si on n'a pas converge
 
@@ -868,11 +866,11 @@
 
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
-                 if (.not.ice_thermo) then   
+                 if (.not.ice_thermo) THEN
                     zdelta = MAX(0.,SIGN(1.,RTT-Tbef(i)))
                  else
-                    if (iflag_t_glace==0) then
+                    if (iflag_t_glace==0) THEN
                     zdelta = MAX(0.,SIGN(1.,t_glace_min_old-Tbef(i)))
-                    else if (iflag_t_glace>=1) then
-                       if (iflag_oldbug_fisrtilp==0) then
+                    else if (iflag_t_glace>=1) THEN
+                       if (iflag_oldbug_fisrtilp==0) THEN
                           zdelta = MAX(0.,SIGN(1.,t_glace_max-Tbef(i)))
                        else
@@ -884,5 +882,5 @@
                  ! Calcul de rneb, qzn et zcond pour les PDF lognormales
                  zcvm5 = R5LES*RLVTT*(1.-zdelta) + R5IES*RLSTT*zdelta
-               if (fl_cor_ebil > 0) then
+               if (fl_cor_ebil > 0) THEN
                  zcvm5 = zcvm5 /RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                else
@@ -906,5 +904,5 @@
                  zpdf_e2(i)=1.-erf(zpdf_e2(i))
              
-                 if (zpdf_e1(i)<1.e-10) then
+                 if (zpdf_e1(i)<1.e-10) THEN
                     rneb(i,k)=0.
                     zqn(i)=zqs(i)
@@ -915,5 +913,5 @@
 
                  ! If vertical heterogeneity, change fraction by volume as well
-                 if (iflag_cloudth_vert>=3) then
+                 if (iflag_cloudth_vert>=3) THEN
                    ctot_vol(i,k)=rneb(i,k)
                    rneblsvol(i,k)=ctot_vol(i,k)
@@ -930,11 +928,10 @@
                  ! DT : variation de temperature due a la condensation 
 
-                 if (.not. ice_thermo) then
+                 if (.not. ice_thermo) THEN
                  ! --------------------------
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
-
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil > 0) then
+               if (fl_cor_ebil > 0) THEN
                  num=-Tbef(i)+zt(i)+rneb(i,k)*RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
                else
@@ -949,12 +946,11 @@
                  else ! if (.not. ice_thermo)
                  ! --------------------------
-                 if (iflag_t_glace>=1) then
+                 if (iflag_t_glace>=1) THEN
                  CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
                  endif
 
                  do i=1,klon
-                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) then
-                 
-                 if (iflag_t_glace==0) then
+                 if ((convergence(i).or.(n_i(i)==0)).and.lognormale(i)) THEN
+                 if (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (Tbef(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -964,14 +960,14 @@
                  endif
                  
-                 if (iflag_t_glace>=1.and.zfice(i)>0.) then
+                 if (iflag_t_glace>=1.and.zfice(i)>0.) THEN
                  dzfice(i)= exposant_glace * zfice(i)**(exposant_glace-1) &
                       / (t_glace_min - t_glace_max)
                  endif
                
-                 if ((zfice(i)==0).or.(zfice(i)==1)) then
+                 if ((zfice(i)==0).or.(zfice(i)==1)) THEN
                     dzfice(i)=0.
                  endif
 
-                 if (zfice(i)<1) then
+                 if (zfice(i)<1) THEN
                     cste=RLVTT
                  else
@@ -980,5 +976,5 @@
 
                  qlbef(i)=max(0.,zqn(i)-zqs(i))
-               if (fl_cor_ebil > 0) then
+               if (fl_cor_ebil > 0) THEN
                  num = -Tbef(i)+zt(i)+rneb(i,k)*((1-zfice(i))*RLVTT &
             +zfice(i)*RLSTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))*qlbef(i)
@@ -1010,5 +1006,5 @@
         endif ! iflag_pdf
 
-!        if (iflag_fisrtilp_qsat.eq.-1) then 
+!        if (iflag_fisrtilp_qsat.eq.-1) THEN
 !------------------------------------------
 !CR: ATTENTION option fausse mais a existe:
@@ -1068,5 +1064,5 @@
        
         ! If vertical heterogeneity, change fraction by volume as well
-        if (iflag_cloudth_vert>=3) then
+        if (iflag_cloudth_vert>=3) THEN
           ctot_vol(1:klon,k)=min(max(ctot_vol(1:klon,k),0.),1.)
           rneblsvol(1:klon,k)=ctot_vol(1:klon,k)
@@ -1104,11 +1100,11 @@
 
      IF (.NOT. ice_thermo) THEN
-        if (iflag_fisrtilp_qsat<1) then
+        if (iflag_fisrtilp_qsat<1) THEN
            DO i = 1, klon
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*zq(i))
            ENDDO
-        else if (iflag_fisrtilp_qsat>0) then
+        else if (iflag_fisrtilp_qsat>0) THEN
            DO i= 1, klon
-    if (fl_cor_ebil > 0) then
+    if (fl_cor_ebil > 0) THEN
              zt(i) = zt(i) + zcond(i) * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
     else
@@ -1118,13 +1114,13 @@
         endif
      ELSE
-         if (iflag_t_glace>=1) then
+         if (iflag_t_glace>=1) THEN
             CALL icefrac_lsc(klon,zt(:),pplay(:,k)/paprs(:,1),zfice(:))
          endif
-         if (iflag_fisrtilp_qsat<1) then
+         if (iflag_fisrtilp_qsat<1) THEN
            DO i = 1, klon
 ! JBM: icefrac_lsc is now a function contained in icefrac_lsc_mod
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace==0) then
+              if (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
@@ -1139,10 +1135,10 @@
 !              zfice(i) = icefrac_lsc(zt(i), t_glace_min, &
 !                                     t_glace_max, exposant_glace)
-              if (iflag_t_glace==0) then
+              if (iflag_t_glace==0) THEN
                     zfice(i) = 1.0 - (zt(i)-t_glace_min_old) / (RTT-t_glace_min_old)
                     zfice(i) = MIN(MAX(zfice(i),0.0),1.0)
                     zfice(i) = zfice(i)**exposant_glace_old
               endif
-        if (fl_cor_ebil > 0) then
+        if (fl_cor_ebil > 0) THEN
               zt(i) = zt(i) + (1.-zfice(i))*zcond(i) & 
                * RLVTT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i))) &
@@ -1276,5 +1272,5 @@
                  !  quantite d'eau a eliminer: zchau (Sundqvist, 1978)
                  !  meme chose pour la glace: zfroi (Zender & Kiehl, 1997)
-                 if (ptconv(i,k)) then
+                 if (ptconv(i,k)) THEN
                     zcl   =cld_lc_con
                     zct   =1./cld_tau_con
@@ -1292,5 +1288,5 @@
                  ! surfacique modifiee, qui est plus grande et reduit
                  ! sinon l'eau in-cloud de facon artificielle
-                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) then
+                 if ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
                     zchau    = zct   *dtime/REAL(ninter) * zoliq(i) &
                          *(1.0-EXP(-(zoliq(i)/ctot_vol(i,k)/zcl   )**2)) *(1.-zfice(i))
@@ -1355,5 +1351,5 @@
              zqpreci(i)=(zcond(i)-zoliq(i))*zfice(i)
              zqprecl(i)=(zcond(i)-zoliq(i))*(1.-zfice(i))
-           if (fl_cor_ebil > 0) then
+           if (fl_cor_ebil > 0) THEN
              zcp=RCPD*(1.0+RVTMP2*(zq(i)+zmqc(i)+zcond(i)))
              coef1 = rneb(i,k)*RLSTT/zcp*zdqsdT_raw(i)
@@ -1420,5 +1416,5 @@
 !CR on prend en compte la phase glace
 !JLD inutile car on ne passe jamais ici si .not.ice_thermo
-!           if (.not.ice_thermo) then
+!           if (.not.ice_thermo) THEN
 !           d_ql(i,k) = zoliq(i)
 !           d_qi(i,k) = 0.
@@ -1467,5 +1463,5 @@
                  ENDIF!iflag_evap_prec==4
 
-           if (fl_cor_ebil > 0) then
+           if (fl_cor_ebil > 0) THEN
               zt(i)=zt(i)+zsolid*(RG*dtime)/(paprs(i,k)-paprs(i,k+1)) &
                       *(RLSTT-RLVTT)/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
@@ -1565,5 +1561,5 @@
      DO i = 1,klon
 
-        if(zcond(i)>zoliq(i)+1.e-10) then
+        IF(zcond(i)>zoliq(i)+1.e-10) THEN
          beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
         else
@@ -1667,5 +1663,5 @@
   ENDIF
 
-  if (ncoreczq>0) then
+  if (ncoreczq>0) THEN
      WRITE(lunout,*)'WARNING : ZQ dans fisrtilp ',ncoreczq,' val < 1.e-15.'
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5116)
@@ -16,6 +16,6 @@
     ! 3212–3234. https://doi.org/10.1029/2019MS001642
     
-    use lmdz_lscp_ini, only: iflag_vice, ffallv_con, ffallv_lsc
-    use lmdz_lscp_ini, only: cice_velo, dice_velo 
+    use lmdz_lscp_ini, ONLY: iflag_vice, ffallv_con, ffallv_lsc
+    use lmdz_lscp_ini, ONLY: cice_velo, dice_velo
 
     IMPLICIT NONE
@@ -51,6 +51,5 @@
     IF (iflag_vice == 1) THEN
         ! so-called 'empirical parameterization' in Stubenrauch et al. 2019
-        if (tempc >= -60.0) then
-
+        if (tempc >= -60.0) THEN
             logvm= -0.0000414122*tempc*tempc*log(iwcg)-0.00538922*tempc*log(iwcg) &
                     -0.0516344*log(iwcg)+0.00216078*tempc + 1.9714    
@@ -576,5 +575,5 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
-    use lmdz_lscp_ini, only: iflag_gammasat, t_glace_min, RTT
+    use lmdz_lscp_ini, ONLY: iflag_gammasat, t_glace_min, RTT
 
     IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_ini.F90	(revision 5116)
@@ -31,5 +31,5 @@
 real, intent(in) :: RG_in,RV_in,RD_in,RCPD_in,RLSTT_in,RLVTT_in,RTT_in
 
-integer :: i,k
+INTEGER :: i,k
 
 nbsrf   =nbsrf_in
@@ -45,5 +45,5 @@
 
 PRINT*,'ratqs_ini'
-IF (iflag_thermals==15.or.iflag_thermals==16) then
+IF (iflag_thermals==15.or.iflag_thermals==16) THEN
    dqimpl=-1
 else
@@ -76,5 +76,5 @@
 !--------------------------------------------------------
 
-IF (klon==1) then
+IF (klon==1) THEN
     do k=1,klev
       do i=1,klon 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5116)
@@ -71,8 +71,8 @@
 !   ----------------
 !   on ecrase le tableau ratqsc calcule par clouds_gno
-      if (iflag_cld_th==1) then
+      if (iflag_cld_th==1) THEN
          do k=1,klev
          do i=1,klon
-            if(ptconv(i,k)) then
+            IF(ptconv(i,k)) THEN
               ratqsc(i,k)=ratqsbas &
               +fact_cldcon*(q_seri(i,1)-q_seri(i,k))/q_seri(i,k)
@@ -86,11 +86,11 @@
 !  par nversion de la fonction log normale
 !-----------------------------------------------------------------------
-      else if (iflag_cld_th==4) then
+      else if (iflag_cld_th==4) THEN
          ptconvth(:,:)=.FALSE.
          ratqsc(:,:)=0.
-         if(prt_level>=9) PRINT*,'avant clouds_gno thermique'
+         IF(prt_level>=9) PRINT*,'avant clouds_gno thermique'
          CALL clouds_gno &
          (klon,klev,q_seri,zqsat,clwcon0th,ptconvth,ratqsc,rnebcon0th)
-         if(prt_level>=9) PRINT*,' CLOUDS_GNO OK'
+         IF(prt_level>=9) PRINT*,' CLOUDS_GNO OK'
        
        endif
@@ -99,6 +99,5 @@
 !   -------------
 
-      if (iflag_ratqs==0) then
-
+      if (iflag_ratqs==0) THEN
 ! Le cas iflag_ratqs=0 correspond a la version IPCC 2005 du modele.
          do k=1,klev
@@ -116,11 +115,10 @@
 ! avec thermiques.
 
-      else if (iflag_ratqs==1) then
-
+      else if (iflag_ratqs==1) THEN
          do k=1,klev
             do i=1, klon
-               if (pplay(i,k)>=60000.) then
+               if (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas
-               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) then
+               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) THEN
                   ratqss(i,k)=ratqsbas+(ratqshaut-ratqsbas)*(60000.-pplay(i,k))/(60000.-30000.)
                else
@@ -130,11 +128,10 @@
          enddo
 
-      else if (iflag_ratqs==2) then
-
+      else if (iflag_ratqs==2) THEN
          do k=1,klev
             do i=1, klon
-               if (pplay(i,k)>=60000.) then
+               if (pplay(i,k)>=60000.) THEN
                   ratqss(i,k)=ratqsbas*(paprs(i,1)-pplay(i,k))/(paprs(i,1)-60000.)
-               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) then
+               else if ((pplay(i,k)>=30000.).and.(pplay(i,k)<60000.)) THEN
                     ratqss(i,k)=ratqsbas+(ratqshaut-ratqsbas)*(60000.-pplay(i,k))/(60000.-30000.)
                else
@@ -144,5 +141,5 @@
          enddo
 
-      else if (iflag_ratqs==3) then
+      else if (iflag_ratqs==3) THEN
          do k=1,klev
            ratqss(:,k)=ratqsbas+(ratqshaut-ratqsbas) &
@@ -150,5 +147,5 @@
          enddo
 
-      else if (iflag_ratqs==4) then 
+      else if (iflag_ratqs==4) THEN
          do k=1,klev
            ratqss(:,k)=ratqsbas+0.5*(ratqshaut-ratqsbas) &
@@ -158,5 +155,5 @@
 
 
-      else if (iflag_ratqs==5) then
+      else if (iflag_ratqs==5) THEN
 ! Dependency of ratqs on model resolution
 ! Audran, Meryl, Lea, Gwendal and Etienne
@@ -173,6 +170,5 @@
 
 
-       else if (iflag_ratqs > 9) then
- 
+       else if (iflag_ratqs > 9) THEN
        ! interactive ratqs calculations that depend on cold pools, orography, surface heterogeneity and small-scale turbulence
        ! This should help getting a more realistic ratqs in the low and mid troposphere
@@ -193,5 +189,5 @@
           enddo
       
-          if (iflag_ratqs == 10) then
+          if (iflag_ratqs == 10) THEN
              ! interactive ratqs in presence of cold pools     
              CALL ratqs_inter(klon,klev,iflag_ratqs,pdtphys,paprs, &
@@ -205,5 +201,5 @@
              enddo
              ratqss=ratqss+ratqs_inter_
-          else if (iflag_ratqs == 11) then
+          else if (iflag_ratqs == 11) THEN
             PRINT*,'avant ratqs_inter'
             ! interactive ratqs with several sources
@@ -213,13 +209,13 @@
                        ratqs_inter_)
              ratqss=ratqss+ratqs_inter_
-          else if (iflag_ratqs == 12) then
+          else if (iflag_ratqs == 12) THEN
              ! contribution of surface heterogeneities to ratqs
              CALL ratqs_hetero(klon,klev,pctsrf,s_pblh,t2m,q2m,t_seri,q_seri,pplay,paprs,ratqs_hetero_)
              ratqss=ratqss+ratqs_hetero_
-          else if (iflag_ratqs == 13) then
+          else if (iflag_ratqs == 13) THEN
              ! contribution of ubgrid orography to ratqs
              CALL ratqs_oro(klon,klev,pctsrf,zstd,zqsat,t_seri,pplay,paprs,ratqs_oro_)
              ratqss=ratqss+ratqs_oro_
-          else if (iflag_ratqs == 14) then
+          else if (iflag_ratqs == 14) THEN
              ! effect of subgrid-scale TKE on ratqs (in development)
              CALL ratqs_tke(klon,klev,pdtphys,t_seri,q_seri,zqsat,pplay,paprs,omega,tke,tke_dissip,lmix,wprime,ratqs_tke_)
@@ -234,6 +230,5 @@
 !  -----------
 
-      if (iflag_cld_th==1 .or.iflag_cld_th==2.or.iflag_cld_th==4) then
-
+      if (iflag_cld_th==1 .or.iflag_cld_th==2.or.iflag_cld_th==4) THEN
 ! On ajoute une constante au ratqsc*2 pour tenir compte de 
 ! fluctuations turbulentes de petite echelle
@@ -241,5 +236,5 @@
          do k=1,klev
             do i=1,klon
-               if ((fm_therm(i,k)>1.e-10)) then
+               if ((fm_therm(i,k)>1.e-10)) THEN
                   ratqsc(i,k)=sqrt(ratqsc(i,k)**2+0.05**2)
                endif
@@ -248,7 +243,7 @@
 
 !   les ratqs sont une combinaison de ratqss et ratqsc
-       if(prt_level>=9) write(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
-
-         if (tau_ratqs>1.e-10) then
+       IF(prt_level>=9) WRITE(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
+
+         if (tau_ratqs>1.e-10) THEN
             facteur=exp(-pdtphys/tau_ratqs)
          else
@@ -263,5 +258,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          ratqs(:,:)=max(ratqs(:,:),ratqss(:,:))
-      else if (iflag_cld_th<=6) then
+      else if (iflag_cld_th<=6) THEN
 !   on ne prend que le ratqs stable pour fisrtilp
          ratqs(:,:)=ratqss(:,:)
@@ -271,5 +266,5 @@
           do k=1,klev
              do i=1,klon
-                if (ratqsc(i,k)>1.e-10) then
+                if (ratqsc(i,k)>1.e-10) THEN
                    ratqs(i,k)=ratqs(i,k)*zfratqs2+(iflag_cld_th/100.)*ratqsc(i,k)*(1.-zfratqs2)
                 endif
